Subject: Re: [PATCH] mwifiex: Reduce endian conversion for REG Host Commands

From: Kalle Valo <[email-masked]>
Date: Wed, 22 Jun 2016 13:51:47 +0300

Prasun Maiti <[email-masked]> writes:

> For multiple REG Host Commands (e.g HostCmd_CMD_802_11_EEPROM_ACCESS,
> HostCmd_CMD_MAC_REG_ACCESS etc.) "cpu_to_leX"-converted values are
> saved to driver. So, "leX_to_cpu" conversion is required too many
> times afterwards in driver.
>
> This patch reduces the endian: conversion without saving "cpu_to_leX"
> converted values in driver. This will convert endianness in prepare
> command and command response path.
>
> Signed-off-by: Prasun Maiti <[email-masked]>

If you send a new version of the patch mark it as [PATCH v2] and always
include a change log so that people don't need to guess what has
changed:

http://kernelnewbies.org/FirstKernelPatch#head-5c81b3c517a1d0bbc24f92594cb734e155fcbbcb

So now you should send a v3 and include a changelog.

-- 
Kalle Valo
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html